#! /bin/sh

# $Copyright:	$
# Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
# Sequent Computer Systems, Inc.   All rights reserved.
#  
# This software is furnished under a license and may be used
# only in accordance with the terms of that license and with the
# inclusion of the above copyright notice.   This software may not
# be provided or otherwise made available to, or used by, any
# other person.  No title to or ownership of the software is
# hereby transferred.

#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#ident	"$Header: calendar.sh 1.5 89/10/10 $@(#)calendar:calendar.sh	1.7"
#	calendar.sh - calendar command, uses /usr/lib/calprog

PATH=/bin:/usr/bin
_tmp=/tmp/cal$$
trap "rm -f ${_tmp} /tmp/calendar.$$; trap '' 0; exit" 0 1 2 13 15
/usr/lib/calprog > ${_tmp}
case $# in
0)	if [ -f calendar ]; then
		egrep -f ${_tmp} calendar
	else
		echo $0: `pwd`/calendar not found
	fi;;
*)	cat /etc/passwd | \
		sed 's/\([^:]*\):.*:\(.*\):[^:]*$/_dir=\2 _user=\1/' | \
		while read _token; do
			eval ${_token}	# evaluates _dir= and _user=
			if [ -s ${_dir}/calendar ]; then
				egrep -f ${_tmp} ${_dir}/calendar 2>/dev/null \
					> /tmp/calendar.$$
				if [ -s /tmp/calendar.$$ ]; then
					mail ${_user} < /tmp/calendar.$$
				fi
			fi
		done;;
esac
exit 0
